Package org.jfree.layouting

## Class AbstractLayoutProcess

- java.lang.Object
- - org.jfree.layouting.AbstractLayoutProcess

- All Implemented Interfaces:
    `LayoutProcess`
  Direct Known Subclasses:
    `DefaultLayoutProcess`

      public abstract class AbstractLayoutProcess
      extends java.lang.Object
      implements LayoutProcess

  Creation-Date: 05.12.2005, 19:17:21
  Author:
    Thomas Morgner

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `protected static class` | `AbstractLayoutProcess.AbstractLayoutProcessState` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AbstractLayoutProcess​(OutputProcessor outputProcessor)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected abstract InputFeed` | `createInputFeed​()` |
    `DocumentContext` | `getDocumentContext​()` | The document context holds global information, like the used stylesheets.
    `InputFeed` | `getInputFeed​()` |
    `Normalizer` | `getNormalizer​()` |
    `OutputProcessorMetaData` | `getOutputMetaData​()` |
    `OutputProcessor` | `getOutputProcessor​()` |
    `org.pentaho.reporting.libraries.resourceloader.ResourceManager` | `getResourceManager​()` |
    `StyleResolver` | `getStyleResolver​()` |
    `boolean` | `isPagebreakEncountered​()` | A flag that indicates, whether one or more pagebreak have been encountered during the last operation.
    `void` | `pageBreakEncountered​(CSSValue pageName, PseudoPage[] pseudoPages)` |

    - ### Methods inherited from interface org.jfree.layouting.LayoutProcess

      `saveState`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractLayoutProcess

          protected AbstractLayoutProcess​(OutputProcessor outputProcessor)

  - ### Method Detail

    - #### getOutputMetaData

          public OutputProcessorMetaData getOutputMetaData​()

      Specified by:
        `getOutputMetaData` in interface `LayoutProcess`

    - #### getOutputProcessor

          public OutputProcessor getOutputProcessor​()

      Specified by:
        `getOutputProcessor` in interface `LayoutProcess`

    - #### getInputFeed

          public InputFeed getInputFeed​()

      Specified by:
        `getInputFeed` in interface `LayoutProcess`

    - #### createInputFeed

          protected abstract InputFeed createInputFeed​()

    - #### getDocumentContext

          public DocumentContext getDocumentContext​()

      The document context holds global information, like the used stylesheets. It also holds the caches for loading external contents.
      Specified by:
        `getDocumentContext` in interface `LayoutProcess`
      Returns:
        the document context.

    - #### getResourceManager

          public org.pentaho.reporting.libraries.resourceloader.ResourceManager getResourceManager​()

      Specified by:
        `getResourceManager` in interface `LayoutProcess`

    - #### pageBreakEncountered

          public void pageBreakEncountered​(CSSValue pageName,
                                           PseudoPage[] pseudoPages)
                                    throws NormalizationException

      Specified by:
        `pageBreakEncountered` in interface `LayoutProcess`
      Throws:
        `NormalizationException`

    - #### isPagebreakEncountered

          public boolean isPagebreakEncountered​()

      Description copied from interface: `LayoutProcess`
      A flag that indicates, whether one or more pagebreak have been encountered during the last operation. The flag does not necessarily state that the pagebreak(s) have been triggered by the last operation, it can as well be a delayed pagebreak indication due to caching or layouting effects (as it happens with pending or moved content).
      Specified by:
        `isPagebreakEncountered` in interface `LayoutProcess`
      Returns:
        true, if a pagebreak as been encountered somewhere in the past, false otherwise.

    - #### getNormalizer

          public Normalizer getNormalizer​()

      Specified by:
        `getNormalizer` in interface `LayoutProcess`

    - #### getStyleResolver

          public StyleResolver getStyleResolver​()

      Specified by:
        `getStyleResolver` in interface `LayoutProcess`